
QGIS Application - Bug report #20768

QGIS Crashes everytime I click Options under Settings Tab

2018-12-11 12:05 AM - John Ventula

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28588

Description

User Feedback

the program crashes everytime I access the options under settings

Report Details

Crash ID: a2551cc732a4d7201cfcb95556738b4775324cb4

Stack Trace

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetPlatformIDs :

clEnqueueTask :

clEnqueueWriteBufferRect :

clEnqueueWriteBufferRect :

clWaitForEvents :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

clGetPlatformIDs :

QgsOpenClUtils::errorText :

QgsOpenClUtils::activate :

QgsQtLocationConnection::startSatelliteMonitor :

QgsQtLocationConnection::startSatelliteMonitor :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

_crtInitOnceExecuteOnce :

QgsOpenClUtils::init :

QgsOpenClUtils::available :

QgsOptions::QgsOptions :

QgisApp::createOptionsDialog :

QgisApp::showOptionsDialog :

QgisApp::options :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20363: QGIS 3.4.1 : CRASH : Settin... Closed 2018-11-05

History

#1 - 2018-12-11 10:22 AM - Alessandro Pasotti

- Related to Bug report #20363: QGIS 3.4.1 : CRASH : Settings->Options (OpenCL related) added

#2 - 2018-12-11 10:22 AM - Alessandro Pasotti

- Related to deleted (Bug report #20363: QGIS 3.4.1 : CRASH : Settings->Options (OpenCL related))

#3 - 2018-12-11 10:22 AM - Alessandro Pasotti

- Duplicates Bug report #20363: QGIS 3.4.1 : CRASH : Settings->Options (OpenCL related) added

#4 - 2018-12-11 11:19 AM - Giovanni Manghi

- Resolution set to duplicate

- Category changed from Actions to Build/Install

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Closed

2025-04-26 2/2


